Bug 217250 - can not shutdown FC6
can not shutdown FC6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-25 17:08 EST by Need Real Name
Modified: 2009-01-09 02:01 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:01:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-11-25 17:08:36 EST
Since FC5 and FC6 there is no clean way to shutdown the computer
from gnome when on runlevel 3.
When Fedora is on runlevel 3 - the power off icon does not work.
I managed to put it there by switching to runlevel 5,
but when X is started as startx it also does not work.

This is very annoying. Suspend/resume is often broken
and not what most people want.

This is just a disgrace of Fedora - people can not power off the
computer and write stupid scripts(executing poweroff command) to shutdown.
(search the internet for this)
Comment 1 Ray Strode [halfline] 2006-11-26 21:58:49 EST
So this is probably because gnome-session (in gnome 2.14) and the panel (in
gnome 2.16) have switched to asking gdm to do the shut down.

We should probably fallback to the old way if gdm isn't running.
Comment 2 Need Real Name 2006-11-27 14:30:54 EST
Please fix this. This is extremely annoying now,
people just can not turn the computer off
Comment 3 Ray Strode [halfline] 2006-11-27 14:44:57 EST
I agree it should be fixed (as I mentioned in comment 1), but note this only
affects users who start at runlevel 3.  This means that the user started their
session from the command prompt.  In the same way, they can just as easily stop
there session from the command prompt. any of:
poweroff
halt
shutdown -h now
init 0
should work.
or by tapping the atx power button on the front of the computer case (which
should trigger a shutdown i believe)
or by pressing ctrl-alt-delete and shutting off after the reboot.
Comment 4 Need Real Name 2006-11-28 13:55:38 EST
To some extend I agree, but from the mentioned options:
shutdown work only for super user
halt brings the computer to the state it does not react to power button at al, 
the only way tu turn off the power then - unplug the cable.
init 0 work only for root
atx power button switches to init 0 only on 1 out of 2 computers I have,
on the remaining PC it just turns of power without init 0.
(Same problem was with the first one, but after doing some random
BIOS settings changes I manged to get the first one to properly react on power
button.

The real option which left is poweroff and from gnome-session


Comment 5 Ray Strode [halfline] 2008-03-18 14:41:28 EDT
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)
Comment 6 Need Real Name 2008-03-18 15:01:37 EDT
Same thing in F8: there is no clean way to shutdown the computer
from gnome when on runlevel 3.
Comment 7 Bug Zapper 2008-11-26 02:06:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 02:01:47 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.